## org.apache.poi.util
Interface LittleEndianInput

All Known Implementing Classes:
  Biff8DecryptingStream, ContinuableRecordInput, DocumentInputStream, LittleEndianByteArrayInputStream, LittleEndianInputStream, NDocumentInputStream, ODocumentInputStream, RecordInputStream

    public interface LittleEndianInput

Author:
  Josh Micich

Method Summary
`int` `available()`
`byte` `readByte()`
`double` `readDouble()`
`void` `readFully(byte[] buf)`
`void` `readFully(byte[] buf, int off, int len)`
`int` `readInt()`
`long` `readLong()`
`short` `readShort()`
`int` `readUByte()`
`int` `readUShort()`

Method Detail

### available

    int available()

### readByte

    byte readByte()

### readUByte

    int readUByte()

### readShort

    short readShort()

### readUShort

    int readUShort()

### readInt

    int readInt()

### readLong

    long readLong()

### readDouble

    double readDouble()

### readFully

    void readFully(byte[] buf)

### readFully

    void readFully(byte[] buf,
                   int off,
                   int len)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.